org.eclipse.mat.inspections.threads

## Class ThreadDetailsResolver

- java.lang.Object
- - org.eclipse.mat.inspections.threads.ThreadDetailsResolver

All Implemented Interfaces:
  IThreadDetailsResolver

    public class ThreadDetailsResolver
    extends Object
    implements IThreadDetailsResolver

Extract extra information about an OpenJDK thread.

### Constructor Summary

Constructors
Constructor and Description
`ThreadDetailsResolver()` Create a Java thread details resolver.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complementDeep(IThreadInfo thread, IProgressListener listener)` Extract detailed information about a thread, for example for ThreadInfoQuery.
`void` `complementShallow(IThreadInfo thread, IProgressListener listener)` Extract basic information about a thread, for example for ThreadOverviewQuery.
`Column[]` `getColumns()` The columns that can be extracted from java.lang.Thread fields.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadDetailsResolver

    public ThreadDetailsResolver()

Create a Java thread details resolver.

### Method Detail

#### getColumns

    public Column[] getColumns()

The columns that can be extracted from java.lang.Thread fields.

Specified by:
  `getColumns` in interface `IThreadDetailsResolver`
Returns:
  an array of Columns

#### complementShallow

    public void complementShallow(IThreadInfo thread,
                                  IProgressListener listener)
                           throws SnapshotException

Description copied from interface: `IThreadDetailsResolver`
Extract basic information about a thread, for example for ThreadOverviewQuery.

Specified by:
  `complementShallow` in interface `IThreadDetailsResolver`
Parameters:
  `thread` - to extract the information from and to attach the information
  `listener` - to log progress and report errors
Throws:
  `SnapshotException`

#### complementDeep

    public void complementDeep(IThreadInfo thread,
                               IProgressListener listener)
                        throws SnapshotException

Description copied from interface: `IThreadDetailsResolver`
Extract detailed information about a thread, for example for ThreadInfoQuery.

Specified by:
  `complementDeep` in interface `IThreadDetailsResolver`
Parameters:
  `thread` - to extract the information from and to attach the information
  `listener` - to log progress and report errors
Throws:
  `SnapshotException`